

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [CopyImageSet](API_CopyImageSet.md) 
+  [CreateDatastore](API_CreateDatastore.md) 
+  [DeleteDatastore](API_DeleteDatastore.md) 
+  [DeleteImageSet](API_DeleteImageSet.md) 
+  [GetDatastore](API_GetDatastore.md) 
+  [GetDICOMImportJob](API_GetDICOMImportJob.md) 
+  [GetImageFrame](API_GetImageFrame.md) 
+  [GetImageSet](API_GetImageSet.md) 
+  [GetImageSetMetadata](API_GetImageSetMetadata.md) 
+  [ListDatastores](API_ListDatastores.md) 
+  [ListDICOMImportJobs](API_ListDICOMImportJobs.md) 
+  [ListImageSetVersions](API_ListImageSetVersions.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [SearchImageSets](API_SearchImageSets.md) 
+  [StartDICOMImportJob](API_StartDICOMImportJob.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateImageSetMetadata](API_UpdateImageSetMetadata.md) 

# CopyImageSet
<a name="API_CopyImageSet"></a>

Copy an image set.

## Request Syntax
<a name="API_CopyImageSet_RequestSyntax"></a>

```
POST /datastore/datastoreId/imageSet/sourceImageSetId/copyImageSet?force=force&promoteToPrimary=promoteToPrimary HTTP/1.1
Content-type: application/json

{
   "destinationImageSet": { 
      "imageSetId": "string",
      "latestVersionId": "string"
   },
   "sourceImageSet": { 
      "DICOMCopies": { 
         "copiableAttributes": "string"
      },
      "latestVersionId": "string"
   }
}
```

## URI Request Parameters
<a name="API_CopyImageSet_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_CopyImageSet_RequestSyntax) **   <a name="healthimaging-CopyImageSet-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [force](#API_CopyImageSet_RequestSyntax) **   <a name="healthimaging-CopyImageSet-request-uri-force"></a>
Providing this parameter will force completion of the `CopyImageSet` operation, even if there are inconsistent Patient, Study, and/or Series level metadata elements between the `sourceImageSet` and `destinationImageSet`.

 ** [promoteToPrimary](#API_CopyImageSet_RequestSyntax) **   <a name="healthimaging-CopyImageSet-request-uri-promoteToPrimary"></a>
Providing this parameter will configure the `CopyImageSet` operation to promote the given image set to the primary DICOM hierarchy. If successful, a new primary image set ID will be returned as the destination image set.

 ** [sourceImageSetId](#API_CopyImageSet_RequestSyntax) **   <a name="healthimaging-CopyImageSet-request-uri-sourceImageSetId"></a>
The source image set identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

## Request Body
<a name="API_CopyImageSet_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [destinationImageSet](#API_CopyImageSet_RequestSyntax) **   <a name="healthimaging-CopyImageSet-request-destinationImageSet"></a>
The destination image set.  
Type: [CopyDestinationImageSet](API_CopyDestinationImageSet.md) object  
Required: No

 ** [sourceImageSet](#API_CopyImageSet_RequestSyntax) **   <a name="healthimaging-CopyImageSet-request-sourceImageSet"></a>
The source image set.  
Type: [CopySourceImageSetInformation](API_CopySourceImageSetInformation.md) object  
Required: Yes

## Response Syntax
<a name="API_CopyImageSet_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "datastoreId": "string",
   "destinationImageSetProperties": { 
      "createdAt": number,
      "imageSetArn": "string",
      "imageSetId": "string",
      "imageSetState": "string",
      "imageSetWorkflowStatus": "string",
      "latestVersionId": "string",
      "updatedAt": number
   },
   "sourceImageSetProperties": { 
      "createdAt": number,
      "imageSetArn": "string",
      "imageSetId": "string",
      "imageSetState": "string",
      "imageSetWorkflowStatus": "string",
      "latestVersionId": "string",
      "updatedAt": number
   }
}
```

## Response Elements
<a name="API_CopyImageSet_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [datastoreId](#API_CopyImageSet_ResponseSyntax) **   <a name="healthimaging-CopyImageSet-response-datastoreId"></a>
The data store identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [destinationImageSetProperties](#API_CopyImageSet_ResponseSyntax) **   <a name="healthimaging-CopyImageSet-response-destinationImageSetProperties"></a>
The properties of the destination image set.  
Type: [CopyDestinationImageSetProperties](API_CopyDestinationImageSetProperties.md) object

 ** [sourceImageSetProperties](#API_CopyImageSet_ResponseSyntax) **   <a name="healthimaging-CopyImageSet-response-sourceImageSetProperties"></a>
The properties of the source image set.  
Type: [CopySourceImageSetProperties](API_CopySourceImageSetProperties.md) object

## Errors
<a name="API_CopyImageSet_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request caused a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_CopyImageSet_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/CopyImageSet) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/CopyImageSet) 

# CreateDatastore
<a name="API_CreateDatastore"></a>

Create a data store.

## Request Syntax
<a name="API_CreateDatastore_RequestSyntax"></a>

```
POST /datastore HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "datastoreName": "string",
   "kmsKeyArn": "string",
   "lambdaAuthorizerArn": "string",
   "losslessStorageFormat": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_CreateDatastore_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateDatastore_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateDatastore_RequestSyntax) **   <a name="healthimaging-CreateDatastore-request-clientToken"></a>
A unique identifier for API idempotency.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[A-Za-z0-9._-]+`   
Required: Yes

 ** [datastoreName](#API_CreateDatastore_RequestSyntax) **   <a name="healthimaging-CreateDatastore-request-datastoreName"></a>
The data store name.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[A-Za-z0-9._/#-]+`   
Required: No

 ** [kmsKeyArn](#API_CreateDatastore_RequestSyntax) **   <a name="healthimaging-CreateDatastore-request-kmsKeyArn"></a>
The Amazon Resource Name (ARN) assigned to the Key Management Service (KMS) key for accessing encrypted data.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 512.  
Pattern: `arn:aws[a-zA-Z-]{0,16}:kms:[a-z]{2}(-[a-z]{1,16}){1,3}-\d{1}:\d{12}:((key/[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12})|(alias/[a-zA-Z0-9:/_-]{1,256}))`   
Required: No

 ** [lambdaAuthorizerArn](#API_CreateDatastore_RequestSyntax) **   <a name="healthimaging-CreateDatastore-request-lambdaAuthorizerArn"></a>
The ARN of the authorizer's Lambda function.  
Type: String  
Pattern: `arn:(aws[a-zA-Z-]*)?:lambda:[a-z]{2}((-gov)|(-iso(b?)))?-[a-z]+-\d{1}:\d{12}:function:[a-zA-Z0-9-_]+(:(\$LATEST|[a-zA-Z0-9-_]+))?`   
Required: No

 ** [losslessStorageFormat](#API_CreateDatastore_RequestSyntax) **   <a name="healthimaging-CreateDatastore-request-losslessStorageFormat"></a>
The lossless storage format for the datastore.  
Type: String  
Valid Values: `HTJ2K | JPEG_2000_LOSSLESS`   
Required: No

 ** [tags](#API_CreateDatastore_RequestSyntax) **   <a name="healthimaging-CreateDatastore-request-tags"></a>
The tags provided when creating a data store.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_CreateDatastore_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "datastoreId": "string",
   "datastoreStatus": "string"
}
```

## Response Elements
<a name="API_CreateDatastore_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [datastoreId](#API_CreateDatastore_ResponseSyntax) **   <a name="healthimaging-CreateDatastore-response-datastoreId"></a>
The data store identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [datastoreStatus](#API_CreateDatastore_ResponseSyntax) **   <a name="healthimaging-CreateDatastore-response-datastoreStatus"></a>
The data store status.  
Type: String  
Valid Values: `CREATING | CREATE_FAILED | ACTIVE | DELETING | DELETED` 

## Errors
<a name="API_CreateDatastore_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request caused a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_CreateDatastore_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/CreateDatastore) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/CreateDatastore) 

# DeleteDatastore
<a name="API_DeleteDatastore"></a>

Delete a data store.

**Note**  
Before a data store can be deleted, you must first delete all image sets within it.

## Request Syntax
<a name="API_DeleteDatastore_RequestSyntax"></a>

```
DELETE /datastore/datastoreId HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteDatastore_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_DeleteDatastore_RequestSyntax) **   <a name="healthimaging-DeleteDatastore-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

## Request Body
<a name="API_DeleteDatastore_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteDatastore_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "datastoreId": "string",
   "datastoreStatus": "string"
}
```

## Response Elements
<a name="API_DeleteDatastore_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [datastoreId](#API_DeleteDatastore_ResponseSyntax) **   <a name="healthimaging-DeleteDatastore-response-datastoreId"></a>
The data store identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [datastoreStatus](#API_DeleteDatastore_ResponseSyntax) **   <a name="healthimaging-DeleteDatastore-response-datastoreStatus"></a>
The data store status.  
Type: String  
Valid Values: `CREATING | CREATE_FAILED | ACTIVE | DELETING | DELETED` 

## Errors
<a name="API_DeleteDatastore_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_DeleteDatastore_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/DeleteDatastore) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/DeleteDatastore) 

# DeleteImageSet
<a name="API_DeleteImageSet"></a>

Delete an image set.

## Request Syntax
<a name="API_DeleteImageSet_RequestSyntax"></a>

```
POST /datastore/datastoreId/imageSet/imageSetId/deleteImageSet HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteImageSet_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_DeleteImageSet_RequestSyntax) **   <a name="healthimaging-DeleteImageSet-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [imageSetId](#API_DeleteImageSet_RequestSyntax) **   <a name="healthimaging-DeleteImageSet-request-uri-imageSetId"></a>
The image set identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

## Request Body
<a name="API_DeleteImageSet_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteImageSet_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "datastoreId": "string",
   "imageSetId": "string",
   "imageSetState": "string",
   "imageSetWorkflowStatus": "string"
}
```

## Response Elements
<a name="API_DeleteImageSet_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [datastoreId](#API_DeleteImageSet_ResponseSyntax) **   <a name="healthimaging-DeleteImageSet-response-datastoreId"></a>
The data store identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [imageSetId](#API_DeleteImageSet_ResponseSyntax) **   <a name="healthimaging-DeleteImageSet-response-imageSetId"></a>
The image set identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [imageSetState](#API_DeleteImageSet_ResponseSyntax) **   <a name="healthimaging-DeleteImageSet-response-imageSetState"></a>
The image set state.  
Type: String  
Valid Values: `ACTIVE | LOCKED | DELETED` 

 ** [imageSetWorkflowStatus](#API_DeleteImageSet_ResponseSyntax) **   <a name="healthimaging-DeleteImageSet-response-imageSetWorkflowStatus"></a>
The image set workflow status.  
Type: String  
Valid Values: `CREATED | COPIED | COPYING | COPYING_WITH_READ_ONLY_ACCESS | COPY_FAILED | UPDATING | UPDATING_FOR_STUDY_CONSISTENCY | UPDATED | UPDATE_FAILED | DELETING | DELETED | IMPORTING | IMPORTED | IMPORT_FAILED` 

## Errors
<a name="API_DeleteImageSet_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_DeleteImageSet_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/DeleteImageSet) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/DeleteImageSet) 

# GetDatastore
<a name="API_GetDatastore"></a>

Get data store properties.

## Request Syntax
<a name="API_GetDatastore_RequestSyntax"></a>

```
GET /datastore/datastoreId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetDatastore_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_GetDatastore_RequestSyntax) **   <a name="healthimaging-GetDatastore-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

## Request Body
<a name="API_GetDatastore_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetDatastore_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "datastoreProperties": { 
      "createdAt": number,
      "datastoreArn": "string",
      "datastoreId": "string",
      "datastoreName": "string",
      "datastoreStatus": "string",
      "kmsKeyArn": "string",
      "lambdaAuthorizerArn": "string",
      "losslessStorageFormat": "string",
      "updatedAt": number
   }
}
```

## Response Elements
<a name="API_GetDatastore_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [datastoreProperties](#API_GetDatastore_ResponseSyntax) **   <a name="healthimaging-GetDatastore-response-datastoreProperties"></a>
The data store properties.  
Type: [DatastoreProperties](API_DatastoreProperties.md) object

## Errors
<a name="API_GetDatastore_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_GetDatastore_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/GetDatastore) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/GetDatastore) 

# GetDICOMImportJob
<a name="API_GetDICOMImportJob"></a>

Get the import job properties to learn more about the job or job progress.

**Note**  
The `jobStatus` refers to the execution of the import job. Therefore, an import job can return a `jobStatus` as `COMPLETED` even if validation issues are discovered during the import process. If a `jobStatus` returns as `COMPLETED`, we still recommend you review the output manifests written to S3, as they provide details on the success or failure of individual P10 object imports.

## Request Syntax
<a name="API_GetDICOMImportJob_RequestSyntax"></a>

```
GET /getDICOMImportJob/datastore/datastoreId/job/jobId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetDICOMImportJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_GetDICOMImportJob_RequestSyntax) **   <a name="healthimaging-GetDICOMImportJob-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [jobId](#API_GetDICOMImportJob_RequestSyntax) **   <a name="healthimaging-GetDICOMImportJob-request-uri-jobId"></a>
The import job identifier.  
Length Constraints: Minimum length of 1. Maximum length of 32.  
Pattern: `[0-9a-z]+`   
Required: Yes

## Request Body
<a name="API_GetDICOMImportJob_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetDICOMImportJob_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "jobProperties": { 
      "dataAccessRoleArn": "string",
      "datastoreId": "string",
      "endedAt": number,
      "inputS3Uri": "string",
      "jobId": "string",
      "jobName": "string",
      "jobStatus": "string",
      "message": "string",
      "outputS3Uri": "string",
      "submittedAt": number
   }
}
```

## Response Elements
<a name="API_GetDICOMImportJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [jobProperties](#API_GetDICOMImportJob_ResponseSyntax) **   <a name="healthimaging-GetDICOMImportJob-response-jobProperties"></a>
The properties of the import job.  
Type: [DICOMImportJobProperties](API_DICOMImportJobProperties.md) object

## Errors
<a name="API_GetDICOMImportJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_GetDICOMImportJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/GetDICOMImportJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/GetDICOMImportJob) 

# GetImageFrame
<a name="API_GetImageFrame"></a>

Get an image frame (pixel data) for an image set.

## Request Syntax
<a name="API_GetImageFrame_RequestSyntax"></a>

```
POST /datastore/datastoreId/imageSet/imageSetId/getImageFrame HTTP/1.1
Content-type: application/json

{
   "imageFrameId": "string"
}
```

## URI Request Parameters
<a name="API_GetImageFrame_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_GetImageFrame_RequestSyntax) **   <a name="healthimaging-GetImageFrame-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [imageSetId](#API_GetImageFrame_RequestSyntax) **   <a name="healthimaging-GetImageFrame-request-uri-imageSetId"></a>
The image set identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

## Request Body
<a name="API_GetImageFrame_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [imageFrameId](#API_GetImageFrame_RequestSyntax) **   <a name="healthimaging-GetImageFrame-request-imageFrameId"></a>
The image frame (pixel data) identifier.  
Type: String  
Pattern: `[0-9a-z]{32}`   
Required: Yes

## Response Syntax
<a name="API_GetImageFrame_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-Type: contentType

imageFrameBlob
```

## Response Elements
<a name="API_GetImageFrame_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

 ** [contentType](#API_GetImageFrame_ResponseSyntax) **   <a name="healthimaging-GetImageFrame-response-contentType"></a>
The format in which the image frame information is returned to the customer. Default is `application/octet-stream`.  
+ If the stored transfer syntax is `1.2.840.10008.1.2.1`, the returned `contentType` is `application/octet-stream`.
+ If the stored transfer syntax is `1.2.840.10008.1.2.4.50`, the returned `contentType` is `image/jpeg`.
+ If the stored transfer syntax is `1.2.840.10008.1.2.4.91`, the returned `contentType` is `image/j2c`.
+ If the stored transfer syntax is MPEG2, `1.2.840.10008.1.2.4.100`, `1.2.840.10008.1.2.4.100.1`, `1.2.840.10008.1.2.4.101`, or `1.2.840.10008.1.2.4.101.1`, the returned `contentType` is `video/mpeg`.
+ If the stored transfer syntax is MPEG-4 AVC/H.264, UID `1.2.840.10008.1.2.4.102`, `1.2.840.10008.1.2.4.102.1`, `1.2.840.10008.1.2.4.103`, `1.2.840.10008.1.2.4.103.1`, `1.2.840.10008.1.2.4.104`, `1.2.840.10008.1.2.4.104.1`, `1.2.840.10008.1.2.4.105`, `1.2.840.10008.1.2.4.105.1`, `1.2.840.10008.1.2.4.106`, or `1.2.840.10008.1.2.4.106.1`, the returned `contentType` is `video/mp4`.
+ If the stored transfer syntax is HEVC/H.265, UID `1.2.840.10008.1.2.4.107` or `1.2.840.10008.1.2.4.108`, the returned `contentType` is `video/H256`.
+ If the stored transfer syntax is `1.2.840.10008.1.2.4.202` or if the stored transfer syntax is *missing*, the returned `contentType` is `image/jph`.
+ If the stored transfer syntax is `1.2.840.10008.1.2.4.203`, the returned contentType is `image/jphc`.
+ If the stored transfer syntax is `1.2.840.10008.1.2.4.112` the returned `contentType` is `image/jxl`.

The response returns the following as the HTTP body.

 ** [imageFrameBlob](#API_GetImageFrame_ResponseSyntax) **   <a name="healthimaging-GetImageFrame-response-imageFrameBlob"></a>
The blob containing the aggregated image frame information.

## Errors
<a name="API_GetImageFrame_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_GetImageFrame_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/GetImageFrame) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/GetImageFrame) 

# GetImageSet
<a name="API_GetImageSet"></a>

Get image set properties.

## Request Syntax
<a name="API_GetImageSet_RequestSyntax"></a>

```
POST /datastore/datastoreId/imageSet/imageSetId/getImageSet?version=versionId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetImageSet_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_GetImageSet_RequestSyntax) **   <a name="healthimaging-GetImageSet-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [imageSetId](#API_GetImageSet_RequestSyntax) **   <a name="healthimaging-GetImageSet-request-uri-imageSetId"></a>
The image set identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [versionId](#API_GetImageSet_RequestSyntax) **   <a name="healthimaging-GetImageSet-request-uri-versionId"></a>
The image set version identifier.  
Pattern: `\d+` 

## Request Body
<a name="API_GetImageSet_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetImageSet_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "createdAt": number,
   "datastoreId": "string",
   "deletedAt": number,
   "imageSetArn": "string",
   "imageSetId": "string",
   "imageSetState": "string",
   "imageSetWorkflowStatus": "string",
   "isPrimary": boolean,
   "lastAccessedAt": number,
   "message": "string",
   "overrides": { 
      "forced": boolean
   },
   "storageTier": "string",
   "updatedAt": number,
   "versionId": "string"
}
```

## Response Elements
<a name="API_GetImageSet_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [createdAt](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-createdAt"></a>
The timestamp when image set properties were created.  
Type: Timestamp

 ** [datastoreId](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-datastoreId"></a>
The data store identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [deletedAt](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-deletedAt"></a>
The timestamp when the image set properties were deleted.  
Type: Timestamp

 ** [imageSetArn](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-imageSetArn"></a>
The Amazon Resource Name (ARN) assigned to the image set.  
Type: String  
Pattern: `arn:aws((-us-gov)|(-iso)|(-iso-b)|(-cn))?:medical-imaging:[a-z0-9-]+:[0-9]{12}:datastore/[0-9a-z]{32}(/imageset/[0-9a-z]{32})?` 

 ** [imageSetId](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-imageSetId"></a>
The image set identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [imageSetState](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-imageSetState"></a>
The image set state.  
Type: String  
Valid Values: `ACTIVE | LOCKED | DELETED` 

 ** [imageSetWorkflowStatus](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-imageSetWorkflowStatus"></a>
The image set workflow status.  
Type: String  
Valid Values: `CREATED | COPIED | COPYING | COPYING_WITH_READ_ONLY_ACCESS | COPY_FAILED | UPDATING | UPDATING_FOR_STUDY_CONSISTENCY | UPDATED | UPDATE_FAILED | DELETING | DELETED | IMPORTING | IMPORTED | IMPORT_FAILED` 

 ** [isPrimary](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-isPrimary"></a>
The flag to determine whether the image set is primary or not.  
Type: Boolean

 ** [lastAccessedAt](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-lastAccessedAt"></a>
When the image set was last accessed.  
Type: Timestamp

 ** [message](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-message"></a>
The error message thrown if an image set action fails.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `[\w -:`]+` 

 ** [overrides](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-overrides"></a>
This object contains the details of any overrides used while creating a specific image set version. If an image set was copied or updated using the `force` flag, this object will contain the `forced` flag.  
Type: [Overrides](API_Overrides.md) object

 ** [storageTier](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-storageTier"></a>
The storage tier of the image set.  
Type: String  
Valid Values: `FREQUENT_ACCESS | ARCHIVE_INSTANT_ACCESS` 

 ** [updatedAt](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-updatedAt"></a>
The timestamp when image set properties were updated.  
Type: Timestamp

 ** [versionId](#API_GetImageSet_ResponseSyntax) **   <a name="healthimaging-GetImageSet-response-versionId"></a>
The image set version identifier.  
Type: String  
Pattern: `\d+` 

## Errors
<a name="API_GetImageSet_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_GetImageSet_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/GetImageSet) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/GetImageSet) 

# GetImageSetMetadata
<a name="API_GetImageSetMetadata"></a>

Get metadata attributes for an image set.

## Request Syntax
<a name="API_GetImageSetMetadata_RequestSyntax"></a>

```
POST /datastore/datastoreId/imageSet/imageSetId/getImageSetMetadata?version=versionId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetImageSetMetadata_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_GetImageSetMetadata_RequestSyntax) **   <a name="healthimaging-GetImageSetMetadata-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [imageSetId](#API_GetImageSetMetadata_RequestSyntax) **   <a name="healthimaging-GetImageSetMetadata-request-uri-imageSetId"></a>
The image set identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [versionId](#API_GetImageSetMetadata_RequestSyntax) **   <a name="healthimaging-GetImageSetMetadata-request-uri-versionId"></a>
The image set version identifier.  
Pattern: `\d+` 

## Request Body
<a name="API_GetImageSetMetadata_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetImageSetMetadata_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-Type: contentType
Content-Encoding: contentEncoding

imageSetMetadataBlob
```

## Response Elements
<a name="API_GetImageSetMetadata_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

 ** [contentEncoding](#API_GetImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-GetImageSetMetadata-response-contentEncoding"></a>
The compression format in which image set metadata attributes are returned.

 ** [contentType](#API_GetImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-GetImageSetMetadata-response-contentType"></a>
The format in which the study metadata is returned to the customer. Default is `text/plain`.

The response returns the following as the HTTP body.

 ** [imageSetMetadataBlob](#API_GetImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-GetImageSetMetadata-response-imageSetMetadataBlob"></a>
The blob containing the aggregated metadata information for the image set.

## Errors
<a name="API_GetImageSetMetadata_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_GetImageSetMetadata_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/GetImageSetMetadata) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/GetImageSetMetadata) 

# ListDatastores
<a name="API_ListDatastores"></a>

List data stores.

## Request Syntax
<a name="API_ListDatastores_RequestSyntax"></a>

```
GET /datastore?datastoreStatus=datastoreStatus&maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListDatastores_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreStatus](#API_ListDatastores_RequestSyntax) **   <a name="healthimaging-ListDatastores-request-uri-datastoreStatus"></a>
The data store status.  
Valid Values: `CREATING | CREATE_FAILED | ACTIVE | DELETING | DELETED` 

 ** [maxResults](#API_ListDatastores_RequestSyntax) **   <a name="healthimaging-ListDatastores-request-uri-maxResults"></a>
Valid Range: Minimum value of 1. Maximum value of 50.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [nextToken](#API_ListDatastores_RequestSyntax) **   <a name="healthimaging-ListDatastores-request-uri-nextToken"></a>
The pagination token used to request the list of data stores on the next page.  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

## Request Body
<a name="API_ListDatastores_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListDatastores_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "datastoreSummaries": [ 
      { 
         "createdAt": number,
         "datastoreArn": "string",
         "datastoreId": "string",
         "datastoreName": "string",
         "datastoreStatus": "string",
         "updatedAt": number
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListDatastores_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [datastoreSummaries](#API_ListDatastores_ResponseSyntax) **   <a name="healthimaging-ListDatastores-response-datastoreSummaries"></a>
The list of summaries of data stores.  
Type: Array of [DatastoreSummary](API_DatastoreSummary.md) objects

 ** [nextToken](#API_ListDatastores_ResponseSyntax) **   <a name="healthimaging-ListDatastores-response-nextToken"></a>
The pagination token used to retrieve the list of data stores on the next page.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

## Errors
<a name="API_ListDatastores_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_ListDatastores_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/ListDatastores) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/ListDatastores) 

# ListDICOMImportJobs
<a name="API_ListDICOMImportJobs"></a>

List import jobs created for a specific data store.

## Request Syntax
<a name="API_ListDICOMImportJobs_RequestSyntax"></a>

```
GET /listDICOMImportJobs/datastore/datastoreId?jobStatus=jobStatus&maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListDICOMImportJobs_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_ListDICOMImportJobs_RequestSyntax) **   <a name="healthimaging-ListDICOMImportJobs-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [jobStatus](#API_ListDICOMImportJobs_RequestSyntax) **   <a name="healthimaging-ListDICOMImportJobs-request-uri-jobStatus"></a>
The filters for listing import jobs based on status.  
Valid Values: `SUBMITTED | IN_PROGRESS | COMPLETED | FAILED` 

 ** [maxResults](#API_ListDICOMImportJobs_RequestSyntax) **   <a name="healthimaging-ListDICOMImportJobs-request-uri-maxResults"></a>
The max results count. The upper bound is determined by load testing.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [nextToken](#API_ListDICOMImportJobs_RequestSyntax) **   <a name="healthimaging-ListDICOMImportJobs-request-uri-nextToken"></a>
The pagination token used to request the list of import jobs on the next page.  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

## Request Body
<a name="API_ListDICOMImportJobs_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListDICOMImportJobs_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "jobSummaries": [ 
      { 
         "dataAccessRoleArn": "string",
         "datastoreId": "string",
         "endedAt": number,
         "jobId": "string",
         "jobName": "string",
         "jobStatus": "string",
         "message": "string",
         "submittedAt": number
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListDICOMImportJobs_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [jobSummaries](#API_ListDICOMImportJobs_ResponseSyntax) **   <a name="healthimaging-ListDICOMImportJobs-response-jobSummaries"></a>
A list of job summaries.  
Type: Array of [DICOMImportJobSummary](API_DICOMImportJobSummary.md) objects

 ** [nextToken](#API_ListDICOMImportJobs_ResponseSyntax) **   <a name="healthimaging-ListDICOMImportJobs-response-nextToken"></a>
The pagination token used to retrieve the list of import jobs on the next page.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

## Errors
<a name="API_ListDICOMImportJobs_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_ListDICOMImportJobs_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/ListDICOMImportJobs) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/ListDICOMImportJobs) 

# ListImageSetVersions
<a name="API_ListImageSetVersions"></a>

List image set versions.

## Request Syntax
<a name="API_ListImageSetVersions_RequestSyntax"></a>

```
POST /datastore/datastoreId/imageSet/imageSetId/listImageSetVersions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListImageSetVersions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_ListImageSetVersions_RequestSyntax) **   <a name="healthimaging-ListImageSetVersions-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [imageSetId](#API_ListImageSetVersions_RequestSyntax) **   <a name="healthimaging-ListImageSetVersions-request-uri-imageSetId"></a>
The image set identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [maxResults](#API_ListImageSetVersions_RequestSyntax) **   <a name="healthimaging-ListImageSetVersions-request-uri-maxResults"></a>
The max results count.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [nextToken](#API_ListImageSetVersions_RequestSyntax) **   <a name="healthimaging-ListImageSetVersions-request-uri-nextToken"></a>
The pagination token used to request the list of image set versions on the next page.  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

## Request Body
<a name="API_ListImageSetVersions_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListImageSetVersions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "imageSetPropertiesList": [ 
      { 
         "createdAt": number,
         "deletedAt": number,
         "imageSetId": "string",
         "imageSetState": "string",
         "ImageSetWorkflowStatus": "string",
         "isPrimary": boolean,
         "message": "string",
         "overrides": { 
            "forced": boolean
         },
         "updatedAt": number,
         "versionId": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListImageSetVersions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [imageSetPropertiesList](#API_ListImageSetVersions_ResponseSyntax) **   <a name="healthimaging-ListImageSetVersions-response-imageSetPropertiesList"></a>
Lists all properties associated with an image set.  
Type: Array of [ImageSetProperties](API_ImageSetProperties.md) objects

 ** [nextToken](#API_ListImageSetVersions_ResponseSyntax) **   <a name="healthimaging-ListImageSetVersions-response-nextToken"></a>
The pagination token used to retrieve the list of image set versions on the next page.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

## Errors
<a name="API_ListImageSetVersions_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_ListImageSetVersions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/ListImageSetVersions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/ListImageSetVersions) 

# ListTagsForResource
<a name="API_ListTagsForResource"></a>

Lists all tags associated with a medical imaging resource.

## Request Syntax
<a name="API_ListTagsForResource_RequestSyntax"></a>

```
GET /tags/resourceArn HTTP/1.1
```

## URI Request Parameters
<a name="API_ListTagsForResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_ListTagsForResource_RequestSyntax) **   <a name="healthimaging-ListTagsForResource-request-uri-resourceArn"></a>
The Amazon Resource Name (ARN) of the medical imaging resource to list tags for.  
Pattern: `arn:aws((-us-gov)|(-iso)|(-iso-b)|(-cn))?:medical-imaging:[a-z0-9-]+:[0-9]{12}:datastore/[0-9a-z]{32}(/imageset/[0-9a-z]{32})?`   
Required: Yes

## Request Body
<a name="API_ListTagsForResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListTagsForResource_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements
<a name="API_ListTagsForResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [tags](#API_ListTagsForResource_ResponseSyntax) **   <a name="healthimaging-ListTagsForResource-response-tags"></a>
A list of all tags associated with a medical imaging resource.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.

## Errors
<a name="API_ListTagsForResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_ListTagsForResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/ListTagsForResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/ListTagsForResource) 

# SearchImageSets
<a name="API_SearchImageSets"></a>

Search image sets based on defined input attributes.

**Note**  
 `SearchImageSets` accepts a single search query parameter and returns a paginated response of all image sets that have the matching criteria. All date range queries must be input as `(lowerBound, upperBound)`.  
By default, `SearchImageSets` uses the `updatedAt` field for sorting in descending order from newest to oldest.

## Request Syntax
<a name="API_SearchImageSets_RequestSyntax"></a>

```
POST /datastore/datastoreId/searchImageSets?maxResults=maxResults&nextToken=nextToken HTTP/1.1
Content-type: application/json

{
   "filters": [ 
      { 
         "operator": "string",
         "values": [ 
            { ... }
         ]
      }
   ],
   "sort": { 
      "sortField": "string",
      "sortOrder": "string"
   }
}
```

## URI Request Parameters
<a name="API_SearchImageSets_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_SearchImageSets_RequestSyntax) **   <a name="healthimaging-SearchImageSets-request-uri-datastoreId"></a>
The identifier of the data store where the image sets reside.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [maxResults](#API_SearchImageSets_RequestSyntax) **   <a name="healthimaging-SearchImageSets-request-uri-maxResults"></a>
The maximum number of results that can be returned in a search.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [nextToken](#API_SearchImageSets_RequestSyntax) **   <a name="healthimaging-SearchImageSets-request-uri-nextToken"></a>
The token used for pagination of results returned in the response. Use the token returned from the previous request to continue results where the previous request ended.  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

## Request Body
<a name="API_SearchImageSets_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filters](#API_SearchImageSets_RequestSyntax) **   <a name="healthimaging-SearchImageSets-request-filters"></a>
The filters for the search criteria.  
Type: Array of [SearchFilter](API_SearchFilter.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 2 items.  
Required: No

 ** [sort](#API_SearchImageSets_RequestSyntax) **   <a name="healthimaging-SearchImageSets-request-sort"></a>
The sort input for search criteria.  
Type: [Sort](API_Sort.md) object  
Required: No

## Response Syntax
<a name="API_SearchImageSets_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "imageSetsMetadataSummaries": [ 
      { 
         "createdAt": number,
         "DICOMTags": { 
            "DICOMAccessionNumber": "string",
            "DICOMNumberOfStudyRelatedInstances": number,
            "DICOMNumberOfStudyRelatedSeries": number,
            "DICOMPatientBirthDate": "string",
            "DICOMPatientId": "string",
            "DICOMPatientName": "string",
            "DICOMPatientSex": "string",
            "DICOMSeriesBodyPart": "string",
            "DICOMSeriesInstanceUID": "string",
            "DICOMSeriesModality": "string",
            "DICOMSeriesNumber": number,
            "DICOMStudyDate": "string",
            "DICOMStudyDescription": "string",
            "DICOMStudyId": "string",
            "DICOMStudyInstanceUID": "string",
            "DICOMStudyTime": "string"
         },
         "imageSetId": "string",
         "isPrimary": boolean,
         "lastAccessedAt": number,
         "storageTier": "string",
         "updatedAt": number,
         "version": number
      }
   ],
   "nextToken": "string",
   "sort": { 
      "sortField": "string",
      "sortOrder": "string"
   }
}
```

## Response Elements
<a name="API_SearchImageSets_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [imageSetsMetadataSummaries](#API_SearchImageSets_ResponseSyntax) **   <a name="healthimaging-SearchImageSets-response-imageSetsMetadataSummaries"></a>
The model containing the image set results.  
Type: Array of [ImageSetsMetadataSummary](API_ImageSetsMetadataSummary.md) objects

 ** [nextToken](#API_SearchImageSets_ResponseSyntax) **   <a name="healthimaging-SearchImageSets-response-nextToken"></a>
The token for pagination results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 8192.  
Pattern: `\p{ASCII}{0,8192}` 

 ** [sort](#API_SearchImageSets_ResponseSyntax) **   <a name="healthimaging-SearchImageSets-response-sort"></a>
The sort order for image set search results.  
Type: [Sort](API_Sort.md) object

## Errors
<a name="API_SearchImageSets_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_SearchImageSets_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/SearchImageSets) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/SearchImageSets) 

# StartDICOMImportJob
<a name="API_StartDICOMImportJob"></a>

Start importing bulk data into an `ACTIVE` data store. The import job imports DICOM P10 files found in the S3 prefix specified by the `inputS3Uri` parameter. The import job stores processing results in the file specified by the `outputS3Uri` parameter.

## Request Syntax
<a name="API_StartDICOMImportJob_RequestSyntax"></a>

```
POST /startDICOMImportJob/datastore/datastoreId HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "dataAccessRoleArn": "string",
   "inputOwnerAccountId": "string",
   "inputS3Uri": "string",
   "jobName": "string",
   "outputS3Uri": "string"
}
```

## URI Request Parameters
<a name="API_StartDICOMImportJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_StartDICOMImportJob_RequestSyntax) **   <a name="healthimaging-StartDICOMImportJob-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

## Request Body
<a name="API_StartDICOMImportJob_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_StartDICOMImportJob_RequestSyntax) **   <a name="healthimaging-StartDICOMImportJob-request-clientToken"></a>
A unique identifier for API idempotency.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[A-Za-z0-9._-]+`   
Required: Yes

 ** [dataAccessRoleArn](#API_StartDICOMImportJob_RequestSyntax) **   <a name="healthimaging-StartDICOMImportJob-request-dataAccessRoleArn"></a>
The Amazon Resource Name (ARN) of the IAM role that grants permission to access medical imaging resources.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws(-[^:]+)?:iam::[0-9]{12}:role/.+`   
Required: Yes

 ** [inputOwnerAccountId](#API_StartDICOMImportJob_RequestSyntax) **   <a name="healthimaging-StartDICOMImportJob-request-inputOwnerAccountId"></a>
The account ID of the source S3 bucket owner.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: No

 ** [inputS3Uri](#API_StartDICOMImportJob_RequestSyntax) **   <a name="healthimaging-StartDICOMImportJob-request-inputS3Uri"></a>
The input prefix path for the S3 bucket that contains the DICOM files to be imported.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `s3://[a-z0-9][\.\-a-z0-9]{1,61}[a-z0-9](/.*)?`   
Required: Yes

 ** [jobName](#API_StartDICOMImportJob_RequestSyntax) **   <a name="healthimaging-StartDICOMImportJob-request-jobName"></a>
The import job name.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[A-Za-z0-9._/#-]+`   
Required: No

 ** [outputS3Uri](#API_StartDICOMImportJob_RequestSyntax) **   <a name="healthimaging-StartDICOMImportJob-request-outputS3Uri"></a>
The output prefix of the S3 bucket to upload the results of the DICOM import job.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `s3://[a-z0-9][\.\-a-z0-9]{1,61}[a-z0-9](/.*)?`   
Required: Yes

## Response Syntax
<a name="API_StartDICOMImportJob_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "datastoreId": "string",
   "jobId": "string",
   "jobStatus": "string",
   "submittedAt": number
}
```

## Response Elements
<a name="API_StartDICOMImportJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [datastoreId](#API_StartDICOMImportJob_ResponseSyntax) **   <a name="healthimaging-StartDICOMImportJob-response-datastoreId"></a>
The data store identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [jobId](#API_StartDICOMImportJob_ResponseSyntax) **   <a name="healthimaging-StartDICOMImportJob-response-jobId"></a>
The import job identifier.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 32.  
Pattern: `[0-9a-z]+` 

 ** [jobStatus](#API_StartDICOMImportJob_ResponseSyntax) **   <a name="healthimaging-StartDICOMImportJob-response-jobStatus"></a>
The import job status.  
Type: String  
Valid Values: `SUBMITTED | IN_PROGRESS | COMPLETED | FAILED` 

 ** [submittedAt](#API_StartDICOMImportJob_ResponseSyntax) **   <a name="healthimaging-StartDICOMImportJob-response-submittedAt"></a>
The timestamp when the import job was submitted.  
Type: Timestamp

## Errors
<a name="API_StartDICOMImportJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request caused a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_StartDICOMImportJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/StartDICOMImportJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/StartDICOMImportJob) 

# TagResource
<a name="API_TagResource"></a>

Adds a user-specifed key and value tag to a medical imaging resource.

## Request Syntax
<a name="API_TagResource_RequestSyntax"></a>

```
POST /tags/resourceArn HTTP/1.1
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_TagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_TagResource_RequestSyntax) **   <a name="healthimaging-TagResource-request-uri-resourceArn"></a>
The Amazon Resource Name (ARN) of the medical imaging resource that tags are being added to.  
Pattern: `arn:aws((-us-gov)|(-iso)|(-iso-b)|(-cn))?:medical-imaging:[a-z0-9-]+:[0-9]{12}:datastore/[0-9a-z]{32}(/imageset/[0-9a-z]{32})?`   
Required: Yes

## Request Body
<a name="API_TagResource_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [tags](#API_TagResource_RequestSyntax) **   <a name="healthimaging-TagResource-request-tags"></a>
The user-specified key and value tag pairs added to a medical imaging resource.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: Yes

## Response Syntax
<a name="API_TagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_TagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_TagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_TagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/TagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/TagResource) 

# UntagResource
<a name="API_UntagResource"></a>

Removes tags from a medical imaging resource.

## Request Syntax
<a name="API_UntagResource_RequestSyntax"></a>

```
DELETE /tags/resourceArn?tagKeys=tagKeys HTTP/1.1
```

## URI Request Parameters
<a name="API_UntagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_UntagResource_RequestSyntax) **   <a name="healthimaging-UntagResource-request-uri-resourceArn"></a>
The Amazon Resource Name (ARN) of the medical imaging resource that tags are being removed from.  
Pattern: `arn:aws((-us-gov)|(-iso)|(-iso-b)|(-cn))?:medical-imaging:[a-z0-9-]+:[0-9]{12}:datastore/[0-9a-z]{32}(/imageset/[0-9a-z]{32})?`   
Required: Yes

 ** [tagKeys](#API_UntagResource_RequestSyntax) **   <a name="healthimaging-UntagResource-request-uri-tagKeys"></a>
The keys for the tags to be removed from the medical imaging resource.  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Required: Yes

## Request Body
<a name="API_UntagResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_UntagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_UntagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_UntagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_UntagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/UntagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/UntagResource) 

# UpdateImageSetMetadata
<a name="API_UpdateImageSetMetadata"></a>

Update image set metadata attributes.

## Request Syntax
<a name="API_UpdateImageSetMetadata_RequestSyntax"></a>

```
POST /datastore/datastoreId/imageSet/imageSetId/updateImageSetMetadata?force=force&latestVersion=latestVersionId HTTP/1.1
Content-type: application/json

{
   "DICOMUpdates": { 
      "removableAttributes": blob,
      "updatableAttributes": blob
   },
   "revertToVersionId": "string"
}
```

## URI Request Parameters
<a name="API_UpdateImageSetMetadata_RequestParameters"></a>

The request uses the following URI parameters.

 ** [datastoreId](#API_UpdateImageSetMetadata_RequestSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-request-uri-datastoreId"></a>
The data store identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [force](#API_UpdateImageSetMetadata_RequestSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-request-uri-force"></a>
Setting this flag will force the `UpdateImageSetMetadata` operation for the following attributes:  
+  `Tag.StudyInstanceUID`, `Tag.SeriesInstanceUID`, `Tag.SOPInstanceUID`, and `Tag.StudyID` 
+ Adding, removing, or updating private tags for an individual SOP Instance

 ** [imageSetId](#API_UpdateImageSetMetadata_RequestSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-request-uri-imageSetId"></a>
The image set identifier.  
Pattern: `[0-9a-z]{32}`   
Required: Yes

 ** [latestVersionId](#API_UpdateImageSetMetadata_RequestSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-request-uri-latestVersionId"></a>
The latest image set version identifier.  
Pattern: `\d+`   
Required: Yes

## Request Body
<a name="API_UpdateImageSetMetadata_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [DICOMUpdates](#API_UpdateImageSetMetadata_RequestSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-request-DICOMUpdates"></a>
The object containing `removableAttributes` and `updatableAttributes`.  
Type: [DICOMUpdates](API_DICOMUpdates.md) object  
Required: No

 ** [revertToVersionId](#API_UpdateImageSetMetadata_RequestSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-request-revertToVersionId"></a>
Specifies the previous image set version ID to revert the current image set back to.  
You must provide either `revertToVersionId` or `DICOMUpdates` in your request. A `ValidationException` error is thrown if both parameters are provided at the same time.
Type: String  
Pattern: `\d+`   
Required: No

## Response Syntax
<a name="API_UpdateImageSetMetadata_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "createdAt": number,
   "datastoreId": "string",
   "imageSetId": "string",
   "imageSetState": "string",
   "imageSetWorkflowStatus": "string",
   "latestVersionId": "string",
   "message": "string",
   "updatedAt": number
}
```

## Response Elements
<a name="API_UpdateImageSetMetadata_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [createdAt](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-createdAt"></a>
The timestamp when image set metadata was created.  
Type: Timestamp

 ** [datastoreId](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-datastoreId"></a>
The data store identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [imageSetId](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-imageSetId"></a>
The image set identifier.  
Type: String  
Pattern: `[0-9a-z]{32}` 

 ** [imageSetState](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-imageSetState"></a>
The image set state.  
Type: String  
Valid Values: `ACTIVE | LOCKED | DELETED` 

 ** [imageSetWorkflowStatus](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-imageSetWorkflowStatus"></a>
The image set workflow status.  
Type: String  
Valid Values: `CREATED | COPIED | COPYING | COPYING_WITH_READ_ONLY_ACCESS | COPY_FAILED | UPDATING | UPDATING_FOR_STUDY_CONSISTENCY | UPDATED | UPDATE_FAILED | DELETING | DELETED | IMPORTING | IMPORTED | IMPORT_FAILED` 

 ** [latestVersionId](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-latestVersionId"></a>
The latest image set version identifier.  
Type: String  
Pattern: `\d+` 

 ** [message](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-message"></a>
The error message thrown if an update image set metadata action fails.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `[\w -:`]+` 

 ** [updatedAt](#API_UpdateImageSetMetadata_ResponseSyntax) **   <a name="healthimaging-UpdateImageSetMetadata-response-updatedAt"></a>
The timestamp when image set metadata was updated.  
Type: Timestamp

## Errors
<a name="API_UpdateImageSetMetadata_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting a resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of the request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource which does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request caused a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints set by the service.  
HTTP Status Code: 400

## See Also
<a name="API_UpdateImageSetMetadata_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/medical-imaging-2023-07-19/UpdateImageSetMetadata) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/medical-imaging-2023-07-19/UpdateImageSetMetadata) 